  header {
    width: unset !important;
  }

  * {
  box-sizing: border-box;
}

html,
body {
  width: 100% !important;
  height: 100vh;
  font-family: "Inter";
  font-weight: 400;
  padding: 0;
  margin: 0;
  background-color: rgb(246, 247, 248);
}

header {
  width: 100vw;
}

.d-none {
  display: none;
}

.fixed {
  position: fixed;
}

#board-container {
  width: 100vw;
  height: 100%;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.3);
  top: 0;
  z-index: 5;
  overflow: hidden;
}

.board {
  display: flex;
  flex-direction: column;
  margin-left: 250px;
  margin-right: 30px;
}

.headline {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.headline-left > h1 {
  font-size: 61px;
  font-weight: 700;
}

.headline-right {
  display: flex;
  gap: 18px;
}

#searchbar {
  width: 312px;
  height: 48px;
  position: relative;
}

#searchbar-field,
#searchbar-field-mobile {
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 1);
  border-radius: 10px;
  border: 1px solid rgba(168, 168, 168, 1);
  font-size: 20px;
  padding: 10px 50px 10px 10px;
}

#searchbar input:focus {
  border: 1px solid rgba(41, 171, 226, 1);
  outline: none;
}

#searchbar input::placeholder {
  color: rgba(209, 209, 209, 1);
}

.line {
  position: absolute;
  top: 50%;
  right: 50px;
  transform: translateY(-50%);
  width: 1px;
  height: 60%;
  background-color: rgba(209, 209, 209, 1);
}

.magnifying-glass {
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  width: 32px;
  height: 32px;
  cursor: pointer;
  border-radius: 50%;
}

.magnifying-glass:hover {
  background-color: rgba(238, 238, 238, 1);
}

.add-task-btn {
  width: 160px;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: rgba(42, 54, 71, 1);
  border-radius: 10px;
  cursor: pointer;
  color: rgba(255, 255, 255, 1);
  font-size: 21px;
  font-weight: 700;
  padding: 8px 16px;
  text-decoration: none;
}

#add-task-btn-mobile {
  display: none;
}

.add-task-btn:hover {
  background-color: rgba(41, 171, 226, 1);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.add-task-btn:active {
  position: relative;
}

.tasks {
  display: flex;
  justify-content: space-between;
}

.to-do-split,
.in-progress-split,
.await-feedback-split,
.done-split {
  width: 253px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px;
}

.done-split {
  padding-right: 0;
}
.to-do-headline,
.in-progress-headline,
.await-feedback-headline,
.done-headline.done-headline {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 30px;
  top: 0;
  left: 0;
}

.to-do-headline > span,
.in-progress-headline > span,
.await-feedback-headline > span,
.done-headline > span {
  font-size: 20px;
  font-weight: 700;
  color: rgba(66, 82, 110, 1);
}

#to-do-tasks,
#in-progress-tasks,
#await-feedback-tasks,
#done-tasks {
  width: 100%;
}

.tasks-empty {
  width: 100%;
  font-size: 16px;
  color: rgba(168, 168, 168, 1);
  background-color: rgba(231, 231, 231, 1);
  border: 2px dotted rgba(168, 168, 168, 1);
  border-radius: 10px;
  box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.16);
  text-align: center;
  padding: 10px;
}

.task-plus:hover {
  cursor: pointer;
}

#card,
.tasks-card {
  background-color: rgba(255, 255, 255, 1);
  border-radius: 24px;
  padding: 16px;
  gap: 10px;
  box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.08);
  margin-bottom: 15px;
}

#card:hover,
.tasks-card:hover {
  cursor: pointer;
}

.catagory {
  width: 113px;
  height: 27px;
  border-radius: 8px;
  background-color: rgba(0, 56, 255, 1);
  font-size: 16px;
  color: rgba(255, 255, 255, 1);
  padding: 4px 16px;
}

.title {
  font-size: 16px;
  font-weight: 700;
  color: rgba(42, 54, 71, 1);
}

.description {
  font-size: 16px;
  color: rgba(168, 168, 168, 1);
}

.subtasks {
  display: flex;
  align-items: center;
  margin-bottom: 15%;
}

.subtasks-diagram {
  width: 128px;
  height: 8px;
  border-radius: 8px;
  background-color: rgba(244, 244, 244, 1);
  margin-right: 10px;
}

.subtasks-diagram-filled {
  width: 50%;
  height: 100%;
  border-radius: 8px;
  background-color: rgba(69, 137, 255, 1);
}

.subtasks-number {
  font-size: 12px;
  color: rgba(0, 0, 0, 1);
}

#person-and-prio {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.mobile-menu {
  width: 24px;
  height: 24px;
  border: 2px solid black;
  border-radius: 50%;
  display: none;
  margin-top: 10px;
}

.splits-to-move-container {
  display: flex;
  flex-direction: column;
  background-color: white;
  padding: 10px;
  position: absolute;
  font-size: 16px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.08);
}

.splits-to-move-container > span {
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 10px;
  padding: 5px;
}

.assigned-to {
  display: flex;
  align-items: center;
}

.position {
  position: relative;
}

.card-person-initials {
  width: 32px;
  height: 32px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
  background-color: rgba(255, 122, 0);
  border-radius: 50%;
  border: 1px solid rgba(255, 255, 255, 1);
  color: rgba(255, 255, 255, 1);
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(5deg);
  }
}

.rotate {
  animation: rotate 0.125s linear forwards;
}

.highlight {
  background-color: rgba(128, 128, 128, 0.2);
  border-radius: 10px;
}

.searchbar-mobile {
  display: none;
}

@media (min-width: 1920px) {
  #board {
    width: 1640px;
  }
}
/* ### Mobile ### */

@media (max-width: 1300px) {
  .headline-left > h1 {
    font-size: 48px;
    font-weight: 700;
    margin-right: 20px;
  }

  #searchbar {
    width: 200px;
  }

  .add-task-btn {
    width: 135px;
    font-size: 16px;
  }

  .add-task-btn > img {
    width: 20px;
    height: 20px;
  }
}

@media (max-width: 1200px) {
  .done-split {
    margin: 0;
  }

  #to-do-tasks,
  #in-progress-tasks,
  #await-feedback-tasks,
  #done-tasks {
    width: unset;
  }

  .to-do-headline,
  .in-progress-headline,
  .await-feedback-headline,
  .done-headline.done-headline {
    width: 30%;
    position: sticky;
    top: 0;
    left: 0;
  }

  .to-do-split,
  .in-progress-split,
  .await-feedback-split,
  .done-split {
    width: 100%;
    display: flex;
    align-items: start;
    overflow: auto;
    padding: 10px;
  }

  .tasks {
    flex-direction: column;
  }

  #to-do-tasks,
  #in-progress-tasks,
  #await-feedback-tasks,
  #done-tasks {
    display: flex;
  }

  .tasks-card {
    width: 352px;
    height: 324px;
    margin-right: 20px;
    margin-bottom: 30px;
  }
}

@media (max-width: 768px) {
  .done-tasks {
    margin-bottom: 100px;
  }

  .subtasks-diagram {
    width: 70px;
  }

  .board {
    margin-left: 10px;
    margin-right: 10px;
  }

  .headline {
    width: unset;
  }

  .headline-right {
    width: unset;
  }

  .headline-left > h1 {
    font-size: 47px;
  }

  #searchbar {
    display: none;
  }

  #add-task-btn-desktop {
    display: none;
  }

  #add-task-btn-mobile {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .add-task-btn > span {
    display: none;
  }

  .add-task-btn > img {
    width: 40px;
    height: 40px;
  }

  .searchbar-mobile {
    display: block;
    width: 100%;
    height: 48px;
  }

  .line {
    height: 26px;
    top: 220px;
  }

  .magnifying-glass {
    top: 220px;
    right: 18px;
  }

  .to-do-headline,
  .in-progress-headline,
  .await-feedback-headline,
  .done-headline.done-headline {
    width: 87%;
    position: sticky;
    top: 0;
    left: 0;
  }

  .to-do-headline > span,
  .in-progress-headline > span,
  .await-feedback-headline > span,
  .done-headline > span {
    font-size: 27px;
  }

  .to-do-headline > img,
  .in-progress-headline > img,
  .await-feedback-headline > img,
  .done-headline > img {
    width: 30px;
    height: 30px;
  }

  .mobile-menu {
    display: block;
  }

  #to-do-tasks,
  #in-progress-tasks,
  #await-feedback-tasks,
  #done-tasks {
    width: unset;
  }

  .to-do-headline,
  .in-progress-headline,
  .await-feedback-headline,
  .done-headline.done-headline {
    position: sticky;
  }

  .to-do-split,
  .in-progress-split,
  .await-feedback-split,
  .done-split {
    width: 100%;
    display: flex;
    align-items: start;
    overflow: auto;
    padding: 10px;
  }

  .tasks {
    flex-direction: column;
  }

  #to-do-tasks,
  #in-progress-tasks,
  #await-feedback-tasks,
  #done-tasks {
    display: flex;
  }

  .tasks-card {
    width: 252px;
    height: 244px;
    margin-right: 20px;
    margin-bottom: 30px;
  }

}

@media (pointer: coarse) {
  .mobile-menu {
    display: block;
}
}